package com.osnova;
import android.graphics.*;
import java.io.InputStream;


public class Grap {
   
  
 public Paint p1,p;
 
 private Bitmap bit;
 private DD dd;  
  
 private Bitmap ke;

    
  public Grap(DD dd,Bitmap ek){
     
    this.dd=dd; 
    Ran.c=new Canvas(ek);    
  
    p1=new Paint();
    p=new Paint(); 
    Ran.au=new Audio(dd.con);
    ke=Load("key.png");
    
    Ran.kp=new KeyPad(ke,dd);
     
  }  
    
    
   public void clear(int color){
        
       Ran.c.drawColor(color) ;
        
    }
    
  
  public void Point(int x,int y,int color){
   
    p1.setColor(color);
    Ran.c.drawPoint(x,y,p1);
  }
  
  
  public void Line(int x,int y,int x1,int y1,int color){
    
    p1.setColor(color);
    Ran.c.drawLine(x,y,x1,y1,p1);
  }
  
  public void Circle(int x,int y,int size,int color){
    
    p.setColor(color);
    p.setStrokeWidth(2);
    p.setStyle(Paint.Style.STROKE);
    Ran.c.drawCircle(x,y,size,p);
  }
  
  
  public void Rect(int x,int y,int w,int h,int color){
    
    p1.setColor(color);
   // p.setStrokeWidth(2);
   // p.setStyle(Paint.Style.STROKE);
    Ran.c.drawRect(x,y,w,h,p1);
  }
  
  
  
    
    public void Text(String s,int x,int y,int size,int color){
        
      p1.setColor(color); 
     p1.setTextSize(size);
      Ran.c.drawText(s,x,y,p1);
        
    }
    
    
    public void Text(String[] s,int x,int y,int size,int color){
      
       int in=10+size; 
     for(int i=0;i<s.length;i++) {  
      p1.setColor(color); 
      p1.setTextSize(size);
      Ran.c.drawText(s[i],x,y+=in,p1);
    }
  
    }
    
  public void Bitmap(Bitmap bite,int x,int y){
    
    Ran.c.drawBitmap(bite,x,y,null);
    
  }
  
  
  
   
    public void draw(){
        
     clear(Color.LTGRAY);   
      Text("Безопасный режим",100,200,50,Color.RED);  
    
    Ran.kp.draw(Ran.c);
    }
    
  
  
  public Bitmap Load(String name){
    
   InputStream is=Grap.class.getResourceAsStream("/assets/"+name);
   
    bit=BitmapFactory.decodeStream(is);
    
    return bit;
    
  }
   
  
  // 24.01.24 - 00:04
  public DD getDD(){
    
    return dd;
     
  }
  
  
  
   /*
   public Bitmap scale (Bitmap d){
    
    Bitmap exodus;
    
    exodus=Bitmap.createScaledBitmap(d,d.getWidth()*2,d.getHeight()*2,true);
    
    return exodus;
  }
   
   // start 
  public Bitmap[] exodus(Bitmap[] bi,Sprite s,int wi,int he){
 
 
 int in=0;
 int ix=0;
 
  Bitmap[] 
    ai=new Bitmap[s.FW()*s.FH()];
    bi=new Bitmap[s.FW()*s.FH()];
 
  
 for(int j=0;j<s.FH();j++){
 for(int i=0;i<s.FW();i++){ 
 
  
 
  ai[in++]=Bitmap.createScaledBitmap(bi[ix++],i*wi,j*he,true);
 
  
 }}
 
  return ai;
 
}   
 */ //finish 
  
    
}
